org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTFunctionWithTryBlock

All Superinterfaces:
  IASTAttributeOwner, IASTDeclaration, IASTFunctionDefinition, IASTNode, ICPPASTFunctionDefinition

    public interface ICPPASTFunctionWithTryBlock
    extends ICPPASTFunctionDefinition

Models a function defined with a try block, which is a function definition:

     void func() try {
     } catch (...) {
     }

Since:
  5.1
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `CATCH_HANDLER` A `CATCH_HANDLER` is the role of an ICPPASTCatchHandler in this interface.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTFunctionDefinition

`MEMBER_INITIALIZER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTFunctionDefinition

`DECL_SPECIFIER, DECLARATOR, FUNCTION_BODY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclaration

`EMPTY_DECLARATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addCatchHandler(ICPPASTCatchHandler statement)` Adds a catch handler.
`ICPPASTFunctionWithTryBlock` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTCatchHandler[]` `getCatchHandlers()` Returns an array of catch handlers.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTFunctionDefinition

`addMemberInitializer, copy, getMemberInitializers, isDefaulted, isDeleted, setIsDefaulted, setIsDeleted`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTFunctionDefinition

`getBody, getDeclarator, getDeclSpecifier, getScope, setBody, setDeclarator, setDeclSpecifier`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Field Detail

#### CATCH_HANDLER

    static final ASTNodeProperty CATCH_HANDLER

A `CATCH_HANDLER` is the role of an ICPPASTCatchHandler in this interface.

### Method Detail

#### addCatchHandler

    void addCatchHandler(ICPPASTCatchHandler statement)

Adds a catch handler.

#### getCatchHandlers

    ICPPASTCatchHandler[] getCatchHandlers()

Returns an array of catch handlers.

#### copy

    ICPPASTFunctionWithTryBlock copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclaration`
Specified by:
  `copy` in interface `IASTFunctionDefinition`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICPPASTFunctionDefinition`
Since:
  5.1